<?php
 namespace VnChocola\Module\Api;
 use TCMS\Module;
 use Route;
 use LayoutData;
 use Model;
 class CustomerNotVisit extends Module {
 protected function initialize() {
 }
 protected function registerRoutes() {
 Route::post('/customer-not-visit', 'IndexController', 'getCustomerNotVisit')->name('customerNotVisit');
 Route::post('/customer-not-visit/export', 'IndexController', 'getExport')->name('customerNotVisit');
 }
 public function registerComponent() {
 Model::add('BranchsModel', \VnChocola\Model\BranchsModel::class, true);
 Model::add('CarCompartmentsModel', \VnChocola\Model\CarCompartmentsModel::class, true);
 Model::add('VisitCustomersModel', \VnChocola\Model\VisitCustomersModel::class, true);
 Model::add('ReservesModel', \VnChocola\Model\ReservesModel::class, true);
 Model::add('CarsInfoModel', \VnChocola\Model\CarsInfoModel::class, true);
 Model::add('StaffsModel', \VnChocola\Model\StaffsModel::class, true);
 Model::add('CustomersModel', \VnChocola\Model\CustomersModel::class, true);
 Model::add('PurposesModel', \VnChocola\Model\PurposesModel::class, true);
 Model::add('CarCompartmentGroupModel', \VnChocola\Model\CarCompartmentGroupModel::class, true);
 }
 public function boot() {
 }
 public function middleware(string $routeName, $auth) {
 return $auth->hasRole(\RoleGlobal::$role->viewCustomer);
 }
 }
